# Copyright (c) 2018 Jeremy Stanley <fungi@yuggoth.org>. Permission
# to use, copy, modify, and distribute this software is granted under
# terms provided in the LICENSE file distributed with this software.

import os
import sys

sys.path.insert(0, os.path.abspath('../..'))
extensions = ['sphinx.ext.autodoc']
source_suffix = '.rst'
master_doc = 'index'
project = 'mudpy'
copyright = '2004-2018, Jeremy Stanley <fungi@yuggoth.org>'
add_function_parentheses = True
add_module_names = True
pygments_style = 'sphinx'
html_title = 'mudpy'
html_favicon = '_static/logo.svg'
html_logo = '_static/logo.svg'
html_theme_options = {
  'description': 'The mudpy MUD server engine.',
  'fixed_sidebar': True,
  'logo_name': True,
  'logo_text_align': 'center',
}
html_sidebars = {
  '**': [
    'about.html',
    'navigation.html',
    'relations.html',
    'searchbox.html',
    'donate.html',
  ]
}
htmlhelp_basename = '%sdoc' % project
latex_documents = [
    ('index',
     '%s.tex' % project,
     u'%s' % project,
     u'Jeremy Stanley', 'manual'),
]
